package com.lantone.common.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Description: 登录用户信息
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class UserDto {

    private Long id;
    private String userName;
    private String password;
    private String status;
    private String clientId;
    private List<String> roles;

}