package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取文书模块信息-接口出参
 * @author: zhanghang
 * @time: 2022/2/28 17:47
 */
@ApiModel(value = "获取文书模块信息-接口出参")
@Getter
@Setter
public class GetRecordTemplatePageDTO implements Serializable {


    private static final long serialVersionUID = 8095973115574155886L;
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院模板ID")
    private String code;

    @ApiModelProperty(value = "医院模板名称")
    private String name;

    @ApiModelProperty(value = "医院父类模板ID")
    private String parentCode;

    @ApiModelProperty(value = "医院父类模板名称")
    private String parentName;


}