package com.lantone.daqe.dto;

import com.lantone.daqe.vo.GetColumnNameVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 新增修改获取数据库表中列数据字段名称信息-接口出参
 * @author： zhanghang
 * @time: 2022/3/7 10:30
 */
@ApiModel(value = "新增修改下拉框获取数据库表中列数据字段名称信息-接口出参")
@Getter
@Setter
public class GetTableColumnNameDTO implements Serializable {


    private static final long serialVersionUID = 7191973146278284524L;

    @ApiModelProperty(value = "表名称信息")
    private GetTableNameDTO getTableNameDTO;

    @ApiModelProperty(value = "字段名称信息")
    private List<GetColumnNameDTO> getColumnNameDTOList;

}
