package com.lantone.daqe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.daqe.dto.GetColumnInfoDTO;
import com.lantone.daqe.dto.GetTableNameDTO;
import com.lantone.daqe.entity.ColumnInfo;
import com.lantone.daqe.vo.GetTableColumnNameVO;
import com.lantone.daqe.vo.GetTableNameVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：dc_column_info Mapper接口
 * </p>
 */
public interface ColumnInfoMapper extends BaseMapper<ColumnInfo> {

    List<GetColumnInfoDTO> getNoVerifyColumnName(@Param("getTableColumnNameVO") GetTableColumnNameVO getTableColumnNameVO);
    List<GetTableNameDTO> getVerifyTableName(@Param("getTableNameVO") GetTableNameVO getTableNameVO);
}