package com.lantone.daqe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.daqe.dto.GetMatchingOperationPageDTO;
import com.lantone.daqe.entity.OperationInfo;
import com.lantone.daqe.vo.GetMatchingOperationVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：hos_operation_info Mapper接口
 * </p>
 */
public interface OperationInfoMapper extends BaseMapper<OperationInfo> {

    IPage<GetMatchingOperationPageDTO> getMatchingOperationPage(@Param("getMatchingOperationVO") GetMatchingOperationVO getMatchingOperationVO);
}