package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @author： zhanghang
 * @time: 2022/3/7 16:19
 */
@ApiModel(value = "通过id删除字段校验规则-接口入参")
@Getter
@Setter
public class DelColumnVerifyVO implements Serializable {

    private static final long serialVersionUID = -1062780829648593735L;

    @ApiModelProperty(value = "校验规则字段id", required = true)
    @NotEmpty(message = "校验规则字段id不能为空")
    private List<Long> ids;
}
