package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 查询下拉框获取数据库表中列数据字段名称信息
 * @author： zhanghang
 * @time: 2022/3/7 9:45
 */
@ApiModel(value = "查询下拉框获取数据库表中列数据字段名称信息-接口入参")
@Getter
@Setter
public class GetColumnNameVO implements Serializable {

    private static final long serialVersionUID = 5838762135714290423L;

    @ApiModelProperty(value = "表名称(英文)", required = true)
    private String tableEname;

    @ApiModelProperty(value = "字段名称(中文)")
    private String columnCname;

    @ApiModelProperty(value = "字段名称(英文)")
    private String columnEname;
}
