package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 已匹配药品信息查看-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "已匹配药品信息查看-接口入参")
@Getter
@Setter
public class GetDrugByIdVO implements Serializable {

    private static final long serialVersionUID = 200248999132272360L;

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "药品编号不能为空")
    private Long id;


}