package com.lantone.security.component;

import com.lantone.security.facade.base.HospitalSetFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * @Description: 组织机构参数配置信息操作组件
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Component
public class HospitalSetHolder implements CommandLineRunner {

    @Autowired
    private HospitalSetFacade hospitalSetFacade;

    /**
     * 预加载所有组织机构参数配置信息
     */
    @Override
    public void run(String... args) throws Exception {
        hospitalSetFacade.initHospitalSetMap();
    }

}