package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.security.dto.ListManagePageDTO;
import com.lantone.security.vo.ListManagePageVO;
import com.lantone.security.entity.Notice;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：sys_notice Mapper接口
 * </p>
 */
public interface NoticeMapper extends BaseMapper<Notice> {

    IPage<ListManagePageDTO> listPage(@Param("listManagePageVO") ListManagePageVO listManagePageVO);
}