package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.security.dto.ViewRegionDTO;
import com.lantone.security.vo.GetRegionVO;
import com.lantone.security.entity.Region;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 表名：sys_region Mapper接口
 * </p>
 */
@Repository
public interface RegionMapper extends BaseMapper<Region> {
    IPage<ViewRegionDTO> getWard(@Param("getRegionVO") GetRegionVO getRegionVO);
}