package com.lantone.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取操作记录数据-接口出参
 * @author: songxl
 * @time: 2022/3/4 10:39
 */
@ApiModel(value = "获取操作记录数据-接口出参")
@Getter
@Setter
public class GetOperationLogDTO implements Serializable {


    private static final long serialVersionUID = -6049534509383909152L;


    @ApiModelProperty(value = "住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "病案首页编号")
    private String homePageId;

    @ApiModelProperty(value = "文书编号")
    private String recId;

    @ApiModelProperty(value = "文书标题")
    private String recTitle;




}
