package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 丢失量分类汇总-接口出参
 * @author: songxl
 * @time: 2022/3/1 10:30
 */
@ApiModel(value = "丢失量分类汇总-接口出参")
@Getter
@Setter
public class BlockLossTypeGatherDTO implements Serializable {


    private static final long serialVersionUID = -4656915107891039438L;
    @ApiModelProperty(value = "HIS数量")
    private Integer hisNum = 0;
    @ApiModelProperty(value = "接口日志数量")
    private Integer logNum = 0;
    @ApiModelProperty(value = "实际数量")
    private Integer realNum = 0;
    @ApiModelProperty(value = "合计丢失数量")
    private Integer allLossNum = 0;
    @ApiModelProperty(value = "外部丢失数量")
    private Integer outLossNum = 0;
    @ApiModelProperty(value = "外部文书丢失数量")
    private Integer outRecNum = 0;
    @ApiModelProperty(value = "外部病历号丢失数量")
    private Integer outCodeNum = 0;
    @ApiModelProperty(value = "外部病案首页丢失数量")
    private Integer outHomePageNum = 0;
    @ApiModelProperty(value = "内部丢失数量")
    private Integer inLossNum = 0;
    @ApiModelProperty(value = "内部文书丢失数量")
    private Integer inRecNum = 0;
    @ApiModelProperty(value = "内部病历号丢失数量")
    private Integer inCodeNum = 0;
    @ApiModelProperty(value = "内部病案首页丢失数量")
    private Integer inHomePageNum = 0;


}
