package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 查询获取数据库表中列数据字段名称信息-接口出参
 * @author： zhanghang
 * @time: 2022/3/7 10:30
 */
@ApiModel(value = "查询下拉框获取数据库表中列数据字段名称信息-接口出参")
@Getter
@Setter
public class GetColumnNameDTO implements Serializable {


    private static final long serialVersionUID = 5667959949810247526L;

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "字段名称（中文）")
    private String columnCname;

    @ApiModelProperty(value = "字段名称（英文）")
    private String columnEname;

}
