package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取正则式维护分页列表-接口出参
 * @author: songxl
 * @time: 2022/3/4 10:39
 */
@ApiModel(value = "获取正则式维护分页列表-接口出参")
@Getter
@Setter
public class GetRegularPageDTO implements Serializable {

    private static final long serialVersionUID = -6177667779756225188L;
    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "正则式名称")
    private String name;

    @ApiModelProperty(value = "正则式值")
    private String val;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "1-已关联|0-未关联")
    private String relation;

}