package com.lantone.daqe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.daqe.dto.GetMatchingDrugPageDTO;
import com.lantone.daqe.entity.DrugInfo;
import com.lantone.daqe.vo.GetMatchingDrugPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：hos_drug_info Mapper接口
 * </p>
 */
public interface DrugInfoMapper extends BaseMapper<DrugInfo> {

    IPage<GetMatchingDrugPageDTO> getMatchingDrugPage(@Param("getMatchingDrugPageVO") GetMatchingDrugPageVO getMatchingDrugPageVO);
}