package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.io.Serializable;

/**
 * @Description: 根据表明新增字段
 * @author： zhanghang
 * @time: 2022/3/22 10:17
 */
@ApiModel(value = "根据表明新增字段-接口入参")
@Getter
@Setter
public class AddColumnVO implements Serializable {

    private static final long serialVersionUID = -6651826171077372594L;

    @ApiModelProperty(value = "表名称（中文）")
    private String tableCname;

    @ApiModelProperty(value = "表名称（英文）")
    private String tableEname;

    @ApiModelProperty(value = "所属数据库名称（英文）")
    private String tableSchema;
}
