package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 获取药品分页列表-接口入参
 * @author: rengb
 * @time: 2022/2/27 11:15
 */
@ApiModel(value = "获取药品分页列表-接口入参")
@Getter
@Setter
public class GetDrugPageVO extends Page {

    private static final long serialVersionUID = -6386361872296743955L;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院药品代码")
    private String code;

    @ApiModelProperty(value = "医院药品名称")
    private String name;

    @ApiModelProperty(value = "国药准字")
    private String approvalNum;

    @ApiModelProperty(value = "标准药品名称")
    private String standard;

    @ApiModelProperty(value = "药品剂型")
    private String dosageForm;

    @ApiModelProperty(value = "是否匹配，1-已匹配，0-未匹配")
    private String isMapping;

}