package com.lantone.security.component;

import com.lantone.security.facade.base.DictionaryInfoFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * @Description: 系统字典信息操作组件
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Component
public class DictionaryHolder implements CommandLineRunner {

    @Autowired
    private DictionaryInfoFacade dictionaryInfoFacade;

    /**
     * 预加载所有系统字典信息
     */
    @Override
    public void run(String... args) throws Exception {
        dictionaryInfoFacade.initDicMap();
    }

}