package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.security.dto.GetDoctorPageDTO;
import com.lantone.security.vo.GetDoctorPageVO;
import com.lantone.security.entity.Doctor;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：sys_doctor Mapper接口
 * </p>
 */
public interface DoctorMapper extends BaseMapper<Doctor> {
    /**
     * @Description获取医生列表
     * @param getDoctorPageVO
     * @Return 
     */
    IPage<GetDoctorPageDTO> getDoctorPage(@Param("doctorVO") GetDoctorPageVO getDoctorPageVO);
}