package com.lantone.security.vo;

import com.lantone.common.vo.base.BasePageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 获取用户
 * </p>
 */
@Data
public class GetHospitalUserVO extends BasePageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobilePhone;

    @ApiModelProperty(value = "科室id集合")
    private List<Long> depts;

    @ApiModelProperty(value = "医院id集合")
    private List<Long> hospitals;
}
